AllocationTagNamespaceType (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, enum: AllocationTagNamespaceType

Package org.apache.hadoop.yarn.api.records

# Enum Class AllocationTagNamespaceType

java.lang.Object
java.lang.Enum<AllocationTagNamespaceType>
org.apache.hadoop.yarn.api.records.AllocationTagNamespaceType

All Implemented Interfaces:
  `Serializable`, `Comparable<AllocationTagNamespaceType>`, `Constable`

public enum AllocationTagNamespaceType extends Enum<AllocationTagNamespaceType>
Class to describe all supported forms of namespaces for an allocation tag.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `APP_ID`
  `APP_TAG`
  `NOT_SELF`
  `SELF`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTypeKeyword()`
  `String`
  `toString()`
  `static AllocationTagNamespaceType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AllocationTagNamespaceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SELF

    public static final AllocationTagNamespaceType SELF

  - ### NOT_SELF

    public static final AllocationTagNamespaceType NOT_SELF

  - ### APP_ID

    public static final AllocationTagNamespaceType APP_ID

  - ### APP_TAG

    public static final AllocationTagNamespaceType APP_TAG

  - ### ALL

    public static final AllocationTagNamespaceType ALL

- ## Method Details

  - ### values

    public static AllocationTagNamespaceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AllocationTagNamespaceType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getTypeKeyword

    public String getTypeKeyword()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<AllocationTagNamespaceType>`